<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Strata_Three
 */

if ( has_post_thumbnail() ) {
	$featured_image = '<div class="col-xs-12 hidden-xs col-sm-4">';
	$featured_image .= '<figure class="featured-image">';
	$featured_image .= '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">';
	$featured_image .= get_the_post_thumbnail( $post->ID, 's3-md-1x1', array( 'class' => 'img-responsive' ) );
	$featured_image .= '</a>';
	$featured_image .= '</figure>';
	$featured_image .= '</div>';
	$featured_image .= '<div class="col-xs-12 col-sm-8">';
} else {
	$featured_image = '<div class="col-xs-12">';
}
?>



<main role="main">
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="article s3-c s3-p-9 s3-bs">
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title index-excerpt"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php s3_index_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content index-excerpt">
		<div class="row">
			<?php echo $featured_image; ?>
				<?php the_excerpt(); ?>
			</div>
		</div>

	</div><!-- .entry-content -->

	<div class="continue-reading">
		<a href="<?php echo esc_url( get_permalink() ); ?>" rel="bookmark" class="btn btn-sm s3-n2w s3-bs">
			<?php
				printf(
					/* Translators: %s = Name of the current post. */
					wp_kses( __( 'Continue reading %s', 's3' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				);
			?>
		</a>
	</div>
	</div>

</article><!-- #post-## -->
</main>



